import 'package:test/test.dart';
import 'package:holzleitner_api/holzleitner_api.dart';

// tests for CreateServiceRequest
void main() {
  final instance = CreateServiceRequestBuilder();
  // TODO add properties to the builder and call build()

  group(CreateServiceRequest, () {
    // Eindeutiger Programm-Identifier (z. B. `\"podium_setup\"`).
    // String key
    test('to test the property `key`', () async {
      // TODO
    });

    // ServiceKind kind
    test('to test the property `kind`', () async {
      // TODO
    });

    // int maxValue
    test('to test the property `maxValue`', () async {
      // TODO
    });

    // Nur bei `Numeric` sinnvoll.
    // int minValue
    test('to test the property `minValue`', () async {
      // TODO
    });

    // String name
    test('to test the property `name`', () async {
      // TODO
    });

    // int sortOrder
    test('to test the property `sortOrder`', () async {
      // TODO
    });

  });
}
